kanyremote-5.8 doesn't works

Help
2009-04-07
2012-12-10
  • juantxorena

    juantxorena - 2009-04-07

    When trying to use kanyremote-5.8 via bluetooth with the lastest anyremote (4.18.1) I can't connect to it, and the window with the configuration files doesn't show anything. This is the error message when I execute it from a terminal:

    Exception in thread Thread-3:
    Traceback (most recent call last):
      File "/usr/lib64/python2.5/threading.py", line 486, in __bootstrap_inner
        self.run()
      File "/usr/bin/kanyremote", line 307, in run
        self.processOneFile(root + os.sep + cfgFile)
      File "/usr/bin/kanyremote", line 380, in processOneFile
        if aModes == '':
    UnboundLocalError: local variable 'aModes' referenced before assignment

    AFAIK the __bootstrap_inner one is unrelated, it seems to appear always. Previous kanyremote versions work with the current and the previous anyremote. I can also use anyremote from a terminal, without the GUI.

    I'm using gentoo with python-2.5.2, pykde-3.16.2 and pyqt-3.17.6.

     
    • Mike

      Mike - 2009-04-07

      Thank You for finding.

      As a temporary workaround You can use ganyremote or
      insert line
              aModes   = ''
      to the line #329 of kanyremote.
      I'm going to release fix ASAP.

       
    • Mike

      Mike - 2009-04-10

      please try kanyremote-5.8.2

       
    • juantxorena

      juantxorena - 2009-04-11

      It works, thanks. 5.8.1 also worked, btw.

       

Log in to post a comment.